## org.eclipse.m2m.qvt.oml.debug.core.vm.protocol
Class VMVariableResponse

    java.lang.Object
      org.eclipse.m2m.qvt.oml.debug.core.vm.protocol.VMResponse
          org.eclipse.m2m.qvt.oml.debug.core.vm.protocol.VMVariableResponse

All Implemented Interfaces:
  java.io.Serializable

    public class VMVariableResponse

extends VMResponse

See Also:
  Serialized Form

Field Summary
`VMVariable[]` `childVariables`
`VMVariable` `variable`

Fields inherited from class org.eclipse.m2m.qvt.oml.debug.core.vm.protocol.VMResponse
`status, STATUS_ERROR, STATUS_OK`

Constructor Summary
`VMVariableResponse(VMVariable variable)`
`VMVariableResponse(VMVariable variable, VMVariable[] childVariables)`

Method Summary

Methods inherited from class org.eclipse.m2m.qvt.oml.debug.core.vm.protocol.VMResponse
`createERROR, createOK, isOK, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### variable

    public final VMVariable variable

### childVariables

    public final VMVariable[] childVariables

Constructor Detail

### VMVariableResponse

    public VMVariableResponse(VMVariable variable,
                              VMVariable[] childVariables)

### VMVariableResponse

    public VMVariableResponse(VMVariable variable)

Copyright 2008 Borland Software Corporation and others. All Rights Reserved.